/*
 * Licensed Materials - Property of IBM
 * IBM Sterling Field Sales
 * (C) Copyright IBM Corp. 2010, 2015 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
Ext.namespace('sc.sfs.quote.manage.products.configurator');

sc.sfs.quote.manage.products.configurator.ItemConfiguratorPopupUIConfig = function() {
    return {
        xtype: "screen",
        sciId: "screenItemConfigurator",
        header: false,
        layout: "anchor",
        autoScroll: true,
        items: [{
            xtype: "panel",
            sciId: "panel2",
            title: "Panel 2",
            layout: "anchor",
            layoutConfig: {
                defid: "tableLayoutConfig",
                columns: 4
            },
            cls: "scrollable-panel",
            border: false,
            header: false,
            html: this.getHtmlContent(),
            listeners : {
				defid: "listeners",
				scope: this,
				afterrender: function (comp) {
					this.postToIframe();
				}
			}
        }]
    };
}
