<%
// Licensed Materials - Property of IBM
// IBM Sterling Field Sales
// (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved.
// US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
%>
 
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
	
<%@page import="java.util.Enumeration"%>
<%@page import="com.sterlingcommerce.ui.web.framework.helpers.SCUILocalizationHelper"%>
<%@page import="com.sterlingcommerce.ui.web.framework.utils.SCUIContextHelper"%>
<%@page import="com.sterlingcommerce.ui.web.framework.context.SCUIUserPreferences"%>
<%@page import="com.sterlingcommerce.sfs.core.utils.SFSJSONUtils"%> 
<%@page import="java.net.URLDecoder"%>
<%@page import="com.sterlingcommerce.security.dv.SCEncoder"%>
<%@page import="com.sterlingcommerce.ui.web.framework.utils.SCUIJSONUtils"%>
<%@page import="com.sterlingcommerce.ui.web.platform.utils.SCUIPlatformUtils"%>
<%@page import="com.sterlingcommerce.baseutil.SCXmlUtil"%>
<%@page import="org.w3c.dom.Document"%>
<%@page import="org.w3c.dom.Element"%>
<%@page import="com.yantra.yfc.dom.YFCElement"%>
<%@page import="com.yantra.yfc.ui.backend.util.APIManager"%>
<%@page import="com.comergent.api.objmgr.OMWrapper"%>
<%@page import="javax.servlet.http.HttpServletRequest"%>
<%@page import="javax.servlet.http.HttpServletResponse"%>
<%@page import="com.comergent.api.exception.ComergentException"%>
<%@page import="com.comergent.api.apps.configurator.IConfigServiceHelper"%>
<%@page import="com.comergent.apps.configurator.ConfigXAPIServiceHelper"%>
<%@page import="com.comergent.api.appservices.configuredItem.IConfiguredItem"%>
<%@page import="com.comergent.apps.configurator.CompleteConfigurationDetail"%>
<%@page import="com.comergent.api.appservices.configuredItem.ConfiguredItemException"%>
<%@page import="com.sterlingcommerce.ui.web.platform.SCUIImplConstants"%>

<%!
	protected String getXML(HttpServletRequest req, HttpServletResponse resp) throws ComergentException {
		String xml = null;
		String configKeyString = req.getParameter("configurationKey");
		try {
			if(configKeyString != null && configKeyString.trim().length() > 0) {
				String configurationKey = configKeyString.trim();
				IConfigServiceHelper helper = new ConfigXAPIServiceHelper();
				IConfiguredItem configuredItem = (IConfiguredItem)OMWrapper.getObject(IConfiguredItem.class);
				CompleteConfigurationDetail configDtl = helper.getConfigurationDetail(SCUIContextHelper.getUIContext(req, resp),configurationKey);
				//configurationType = configDtl.getType();
				if(configDtl.getLineItemContainer().getLineItems().size() <= 0) {
					//empty configuration - so generateConfigurationBOM
					//modelName = configDtl.getLineItemContainer().getModelName();
				} else {
					xml=configuredItem.toXML(configDtl.getLineItemContainer(),"UTF-8");
				}
			}
		} catch(ConfiguredItemException ex) {
        }
        return xml;
    }
%>		

<%

	if (request.getParameter("returnBomXML") != null && "T".equals(request.getParameter("returnBomXML"))) {
	
		String itemKey = request.getParameter("ItemKey");
	
	    response.setContentType("application/xml;charset="+APIManager.getInstance().getDefaultEncoding());
		String xml = getXML(request, response);
		if (xml != null) {
			xml = xml.replaceAll("\n","").replaceAll("\t","") ;
		}
		SCUIContextHelper.getUIContext(request, response).getSession().setAttribute("ItemKey", itemKey);
		out.println(xml);
	} else { %>

	
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>


<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Configure Model</title>
<script type="text/javascript">
function onLoad() {
	document.itemConf.submit();
}
</script>
</head>
<body onload="onLoad()">
<%
		response.setContentType("text/html;charset="+APIManager.getInstance().getDefaultEncoding());
		String url = request.getContextPath() + "/configurator/configure.do";
		out.println("<form name=\"itemConf\" method=\"POST\" action=\"" + url + "\">");
		Enumeration params = request.getParameterNames();
		while (params.hasMoreElements()) {
			String name = (String) params.nextElement();
			String temp = "<input type=\"hidden\" name=\"" + SCEncoder.getEncoder().encodeForHTMLAttribute(name) + "\" value=\"" + SCEncoder.getEncoder().encodeForHTMLAttribute(request.getParameter(name)) + "\">";
			out.println(temp);
		}
		SCUIUserPreferences userPref = (SCUIUserPreferences)request.getSession().getAttribute("SCUI_USER_PREFERENCE");
		String locale = userPref.getLocale().getLocaleCode();
	//	String userCurrency = userPref.getLocale().getCurrency();
	//	out.println("<input type=\"hidden\" name=\"currency\" value=\"" + userCurrency + "\">");
		String doneBtn = SCUILocalizationHelper.getString(SCUIContextHelper.getUIContext(request, response), "b_ItemConfigSave");
		out.println("<input type=\"hidden\" name=\"doneButton\" value=\"" + doneBtn + "\">");
		out.println("<input type=\"hidden\" name=\"action\" value=\"configure\">");
		out.println("</form>");
		session.setAttribute("inputObj",request.getParameter("inputObj"));
		
%>
</body>
</html>

<% } %>